% 2d-heat example in Matlab

% initial setup
NXPROB = 20;       % number of grid rows
NYPROB = 20;       % number of grid columns
STEPS  = 100;      % number of iterations
TIME   = 0;        % initial and current time

uvals  = zeros(2, NXPROB, NYPROB); % allocate grid

% initialize grid
uvals  = inidat(uvals);

% make plot
plotdat(uvals, 1, TIME);

tic;
it = 1;
for TIME=1:STEPS
    uvals = updateu(uvals, it);
    it    = 3 - it;
end
t1 = toc; 

plotdat(uvals, it, TIME);
